@charset "UTF-8";

/* p要素スペース設定 */
/* スマホ版：PC版＝1：2 */
.btm20{
  margin-bottom: 20px;
}

.btm40{
  margin-bottom: 40px;
}

.btm60{
  margin-bottom: 60px;
}

/* JQuery動作用CSS */
/* マーカーアクション（発火前） */
.js-marker-y {
  display: inline;
  position: relative;
  background-image: linear-gradient(360deg, #fff000, #fff); /* 単色の場合は同じ色、グラデーションさせる場合は別々の色 */
  background-repeat: no-repeat;
  background-position: bottom left;
  background-size: 0 100%; /* '30%'の部分にマーカーの太さを記入 */
  transition: all 0.5s ease-in-out; /* マーカーを引く速度を調整 */
  font-weight: bold; /* ついでに太字にしたい場合 */
}

/* アニメーション発火時 */
.js-marker-y.inview {
  background-size: 100% 100%; /* '30%'の部分は上で設定した太さに合わせる */
}

/* マーカーアクション（発火前） */
.js-marker-r {
  display: inline;
  position: relative;
  background-image: linear-gradient(360deg, red, #fff); /* 単色の場合は同じ色、グラデーションさせる場合は別々の色 */
  background-repeat: no-repeat;
  background-position: bottom left;
  background-size: 0 100%; /* '30%'の部分にマーカーの太さを記入 */
  transition: all 1s ease-in-out; /* マーカーを引く速度を調整 */
  font-weight: bold; /* ついでに太字にしたい場合 */
}

/* アニメーション発火時 */
.js-marker-r.inview {
  background-size: 100% 100%; /* '30%'の部分は上で設定した太さに合わせる */
}

/* 基本設定 */
*{
  margin: 0;
  padding: 0;
}

nav{
  display: none;
}

/* ページ全体の設定 */
body{
  display: grid;
  grid-template-columns: 20px 1fr 20px;
  grid-template-rows:
    [head] auto
    [image] auto
    [news] auto
    [sec001] auto
    [sec002] auto
    [sec003] auto
    [sec004] auto
    [sec005] auto
    [foot] auto;
  font-family: 'M PLUS 2', sans-serif;
}

/* パーツの配置 */
body > *{
  grid-column: 2 / -2;
}

header{
  grid-row: head;
  grid-column: 1 / -1;
  display: flex;
  width: 100%;
  height: 50px;
  justify-content: center;
  align-items: center;
  background-color: #fff;
  box-shadow: 0 3px 6px 0 rgb(0 0 0 / 16%);
  position: -webkit-sticky;
  position: sticky;
  z-index: 100;
  top: 0;
  transition:all .3s ease;
  font-family: 'Hina Mincho', serif;
  font-size: 20px;
}

header a{
  text-decoration: none;
  color: #000;
}

/* イメージ画像部分 */
figure.image{
  grid-column: 1 / -1;
  grid-row: image;
  position: relative;
  width: 100vw;
  height: 500px;
  overflow: hidden;
  box-shadow: 0 3px 6px 0 rgb(0 0 0 / 16%);
}

video{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  min-width: 100%;
  min-height: 500px;
  object-fit: cover;
}

.image::after {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0,0,0,0.5);
  background-image: radial-gradient(#111 30%, transparent 31%), radial-gradient(#111 30%, transparent 31%);
  background-size: 4px 4px;
  background-position: 0 0, 2px 2px;
}

figure.image > h1{
  grid-row: image;
  position: relative;
  z-index: 2;
  display: flex;
  height: 230px;
  justify-content: center;
  align-items: flex-end;
  color: #fff;
  font-size: 30px;
  font-weight: normal;
  text-shadow: 0 0 5px #444;
  font-family: 'M PLUS 2', sans-serif;
}

figure.image > p{
  grid-row: image;
  position: relative;
  z-index: 2;
  display: flex;
  padding-top: 10px;
  justify-content: center;
  align-items: flex-start;
  color: #fff;
  font-size: 18px;
  font-weight: normal;
  text-align: center;
  line-height: 1.5;
  text-shadow: 0 0 5px #444;
  font-family: 'M PLUS 2', sans-serif;
}
/* イメージ画像部分ここまで */

/* section設定 */
/* 基本設定 */
section{
  grid-column: 1 / -1;
  display: grid;
  grid-template-columns: 20px 1fr 20px;
  grid-row-gap: 20px;
  row-gap: 20px;
  padding: 40px 0 50px;
  box-shadow: 0 6px 6px 0 rgb(0 0 0 / 16%);
}

section.news{
  grid-row: news;
}

section.sec001{
  grid-row: sec001;
  z-index: 2;
}

section.sec002{
  grid-row: sec002;
}

section.sec003{
  grid-row: sec003;
}

section.sec004{
  grid-row: sec004;
}

section.sec005{
  grid-row: sec005;
}

/* トップ用特別section */
#top section.sec002{
  background-color: #cec2ff;
  padding-top: 40px;
}

/* コンテンツページ用section */
body.con section.sec001{
  margin-top: 40px;
}

body.con section.sec002{
  margin-top: 40px;
}

body.con section.sec003{
  margin-top: 40px;
}

/* section見出し */
section h2{
  grid-column: 1 / -1;
  font-size: 24px;
  text-align: center;
  color: #140067;
  text-shadow: 1px 2px 3px #808080;
}

/* article関連設定 */
article{
  grid-column: 2 / -2;
  justify-content: center;
}

article h3{
  display: flex;
  align-items: center;
  font-size: 18px;
  color: #000;
  margin: 20px 0 10px;
}

article div h3:nth-of-type(2){
  margin-top: 40px;
}

article h4{
  display: flex;
  align-items: center;
  font-size: 18px;
  color: #000;
  margin: 10px 0;
}

article h3::before,
article h4::before,
article h3::after,
article h4::after{
  content: "";
  flex-grow: 1;
  height: 1px;
  background: #000;
  margin:0 12px;
}

#about section.sec001 article h3::before,
#about section.sec001 article h4::before,
#about section.sec001 article h3::after,
#about section.sec001 article h4::after{
  content: "";
  flex-grow: 1;
  height: 1px;
  background: #fff;
  margin:0 12px;
}

article p{
  font-size: 16px;
  line-height: 1.8;
  margin-bottom: 15px;
}

article img{
  width: 100%;
}

section article div > ul{
  background-color: #cec2ff;
  border-radius: 5px;
  padding: 30px;
  margin: 40px 0;
}

section article div li{
  list-style: decimal;
  list-style-position: outside;
  font-size: 16px;
  font-weight: bold;
  margin: 0 0 20px 20px;
}

/* トップNEWS部分 */
.news article{
  background-color: #ddd;
  padding: 10px;
}

.news article > div{
  display: flex;
  flex-flow: column wrap;
}

.news time{
  font-size: 14px;
}

.news article div > p{
  margin: 0 0 10px;
  font-size: 14px;
  text-align: center;
  margin-top: 10px;
}

.news article p > span{
  font-size: 14px;
  color: #fff;
  background-color: #140067;
  padding: 1px 5px 3px;
  border-radius: 5px;
  margin: 0 5px;
}

.news article h3{
  font-size: 16px;
  font-weight: bold;
}

.news article h3 > p{
  margin: 0 0 10px;
  font-size: 14px;
}

/* トップMore部分 */
.more{
  display: block;
  height: 50px;
  background-color: #140067;
  border-radius: 5px;
  padding: 16px 20px 0 0;
  margin-top: 30px;
  font-size: 16px;
  color: #fff;
  text-align: right;
  text-decoration: none;
  line-height: 1.5;
}

a.more::after{
  content: '▼';
  display: inline-block;
  transform: rotate(-90deg);
  margin-left: 10px;
}

.bururi {
  animation: bururi 1s infinite;
}
@keyframes bururi {
  50% {
      transform: scale(1, 1);
  }
  52% {
      transform: scale(0.98, 0.95)
  }
  54% {
      transform: scale(1, 1);
  }
  56% {
      transform: scale(0.98, 0.95)
  }
  58% {
      transform: scale(1, 1);
  }
  60% {
      transform: scale(0.98, 0.95)
  }
}


/* コンテンツページ基本設定 */
body.con section h2{
  margin: -30px 0 20px;
}

body.con figure.image{
  height: 160px;
}

body.con figure.image img{
  position: absolute;
  width: 100%;
  height: 160px;
  object-fit: cover;
  object-position: 50% 50%;
  overflow: hidden;
}

body.con .image::after {
  height: 20vh;
}

body.con figure.image > h1{
  height: 90px;
  font-size: 26px;
}

body.con figure.image > p{
  padding-top: 5px;
  font-size: 12px;
}

body.con section.sec004{
  margin-top: 40px;
}

body.con section.sec005{
  margin-top: 40px;
}

body.con article dl dt{
  font-size: 14px;
  padding: 10px 0;
}

body.con article dl dd{
  font-size: 18px;
  padding-bottom: 10px;
  margin-bottom: 20px;
  border-bottom: 1px solid #eee;
}

/* SXDページ */
#sxd article.concept{
  grid-template-columns: 1fr;
}

#sxd div.flickity-syncer img{
  display: block;
  width: 100%;
}

.flickity-prev-next-button{
  display: none;
}

/* registページ設定 */
#regist article form{
  background-color: #cec2ff;
  padding: 30px 50px;
  border-radius: 5px;
}

#regist input[type="text"],
#regist input[type="email"]{
  width: 100%;
  height: 30px;
  font-size: 16px;
}

#regist form span{
  display: block;
  font-size: 14px;
}

#regist input[type="submit"]{
  width: 50%;
  height: 40px;
  margin-top: 50px;
  font-size: 20px;
  box-shadow: 0 6px 6px 0 rgb(0 0 0 / 16%);
}

.submit{
  text-align: center;
}

/* NEXTページ設定 */
#next article.upper{
  display: flex;
  background-color: #cec2ff;
  border-radius: 5px;
  padding: 20px;
  margin: 20px 0;
  align-items: center;
}

.icon{
  display: block;
  box-sizing: border-box;
  width: 60px;
  height: 60px;
  border: 1px solid #000;
  border-radius: 5px;
  padding: 10px;
  background-image: linear-gradient(320deg, rgba(65, 164, 253, 1), rgba(14, 244, 255, 1));
}

.fa-car{
  font-size: 38px;
  color: #140067;
}

.fa-briefcase-medical{
  font-size: 38px;
  color: #140067;
}

.fa-journal-whills{
  font-size: 40px;
  color: #140067;
}

.fa-cogs{
  font-size: 32px;
  color: #140067;
}

#next article.upper div{
  margin-left: 15px;
  width: 100%;
  text-align: center;
}

#next article.upper h4{
  font-size: 16px;
  margin: 0 0 5px 0;
}

#next article.upper p{
  font-size: 14px;
  text-align: center;
  line-height: 1.2;
  margin: 0;
}

#next section.sec001 article p.b{
  padding: 5px;
  background-color: #295591;
  font-weight: bold;
  color: #fff;
  margin: 5px 0;
  text-align: left;
}

#next section article div > ul{
  padding: 10px 20px;
}

#next section article div li{
  margin: 10px 20px;
  font-weight: normal;
}

/* Aboutページ設定 */
#about section.sec001 article{
  display: block;
  background-color: #140067;
  border-radius: 10px;
  padding: 20px;
  color: #fff;
  text-align: center;
}

#about section.sec001 article h3{
  font-size: 30px;
  color: #fff;
  letter-spacing: 1px;
}

/* 予備CSS */
article.col-2{
  display: grid;
  grid-template-columns: repeat(auto-fit, 20em);
  grid-column-gap: 40px; /* 旧CSS対応 */
  column-gap: 40px;
}

article.col-3{
  grid-template-columns: repeat(auto-fit, 10em);
  grid-column-gap: 20px; /* 旧CSS対応 */
  column-gap: 20px;
}


figure.photo{
  max-width: 400px;
  height: 300px;
  padding: 15px;
  margin-bottom: 30px;
  justify-content: center;
  background-color:#fff;
  border: 1px solid rgba(0, 0, 0, 0.5);
  box-shadow: 0 3px 6px 0 rgb(0 0 0 / 16%);
}

figcaption{
  font-size: 20px;
  text-align: center;
}

/* インフォ情報ページ */
section.post{
  grid-row: sec001;
}

section.post article{

}

section.post article h2{
  
}

section.post article h3{
  
}

section.post article ul{
  margin-bottom: 100px;
}

/* フッター */
footer{
  grid-row: foot;
  grid-column: 1 / -1;
  display: grid;
  grid-template-columns: 20px 1fr 20px;
  grid-template-rows:
    [logo] auto
    [sns] auto
    [nav] auto
    [info] auto;
  background-color: #eee;
}

footer > *{
  grid-column: 2 / -2;
}

footer > a{
  grid-row: logo;
  padding: 70px 0 0;
  margin: 50px 0 20px;
  height: 0;
  overflow: hidden;
  background-image: url("../images/siterogo.png");
  background-repeat: no-repeat;
  background-position: center center;
}

ul.sns{
  grid-row: sns;
  display: flex;
  flex-flow: row wrap;
  justify-content: space-around;
  padding-bottom: 30px;
}

.sns li{
  list-style: none;
  margin: 0 10px;
  text-align: center;
}

.flowbtn div{
  font-size: 11px; 
  font-weight: bold;
  letter-spacing: 0;
  position: relative;
  bottom: 7px;
}

/* ボタンマウスホバー時 */
.flowbtn:hover{
  -webkit-transform: translateY(-5px);
  -ms-transform: translateY(-5px);
  transform: translateY(-5px);
  text-decoration: none;
}

.flowbtn{
  border-radius: 4px;
  position: relative;
  display: inline-block;
  width: 66px;
  height: 58px;
  font-size: 30px;
  color: #fff!important;
  transition: .5s;
  text-decoration: none;
  box-shadow: 0 1px 2px #999;
}

.flowbtn i{
  position: relative;
  bottom: 0;
}

/* Twitter */
.fl_tw1{
  background: #55acee;
}

/* Facebook */
.fl_fb1{
  background: #3b5998;
}

/* YouTube */
.fl_yu1{
  background: #fc0d1c;
}

/* Instagram紫グラデ背景 */
.insta_btn1{
  background: -webkit-linear-gradient(135deg, #427eff 0%, #f13f79 70%) no-repeat;
  background: linear-gradient(135deg, #427eff 0%, #f13f79 70%) no-repeat;
  overflow: hidden;
}

/* Instagramオレンジグラデ背景 */
.insta_btn1:before{
  content: '';
  position: absolute;
  top: 33px;
  left: -20px;
  width: 80px;
  height: 50px;
  background: -webkit-radial-gradient(#ffdb2c 10%, rgba(255, 105, 34, 0.65) 55%, rgba(255, 88, 96, 0) 70%);
  background: radial-gradient(#ffdb2c 5%, rgba(255, 105, 34, 0.65) 55%, rgba(255, 88, 96, 0) 70%);
}

footer ul.nav{
  grid-row: nav;
  margin-bottom: 10px;
}

footer ul.nav li{
  list-style: none;
}

footer ul.nav li a {
  display: block;
  padding: 10px 0;
  margin-left: 30px;
  color: #140067;
  font-weight: bold;
  text-decoration: none;
  position: relative;
}

footer ul.nav li a::before {
  content: "";
  width: 7px;
  height: 7px;
  border-top: solid 2px #000;
  border-right: solid 2px #000;
  transform: rotate(45deg);
  position: absolute;
  top: 20px;
  left: -20px;
}

footer ul.info{
  grid-row: info;
  margin-bottom: 30px;
}

ul.info li{
  margin-left: 50px;
}

footer ul.info li a{
  display: block;
  padding: 5px 0;
  color: #140067;
  font-weight: normal;
  text-decoration: none;
  position: relative;
}

footer p{
  grid-column: 1 / -1;
  text-align: center;
  background-color: #140067;
  padding: 5px 0;
  height: 40px;
  font-size: 12px;
  color: #fff;
}